summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-01-01 00:33:17 -0600
committerTim Harder <radhermit@gentoo.org>2019-01-02 15:25:29 -0600
commit8b308b6ab1b7d444f8e59e373d1763bbfe7c6f8e (patch)
tree1ceb3cab0f568e5b94aac3d95e8c6d1bb846c7f1
parentapp-office/moneyguru: new package (diff)
downloadgentoo-8b308b6ab1b7d444f8e59e373d1763bbfe7c6f8e.tar.gz
gentoo-8b308b6ab1b7d444f8e59e373d1763bbfe7c6f8e.tar.bz2
gentoo-8b308b6ab1b7d444f8e59e373d1763bbfe7c6f8e.zip
dev-python/pyparsing: version bump to 2.3.0
Signed-off-by: Tim Harder <radhermit@gentoo.org>
-rw-r--r--dev-python/pyparsing/Manifest1
-rw-r--r--dev-python/pyparsing/pyparsing-2.3.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/pyparsing/Manifest b/dev-python/pyparsing/Manifest
index 8e223ac677f..14941fe4167 100644
--- a/dev-python/pyparsing/Manifest
+++ b/dev-python/pyparsing/Manifest
@@ -1 +1,2 @@
DIST pyparsing-2.2.0.tar.gz 1232522 BLAKE2B 59420548fcee047e2b385d76b8ce034807eb3ac0fcdc9929f656cf4b81436c96c37d206b5d6b90ee6892e402df6b939fe9e793384d4cbe0618c8d06d5197586d SHA512 6a409f429d40a5ac202d144e4150de2c80d7c7120147f603f72a4a99797d48c50822a6437f590ec5ae4418d51aa1f6b1d4e5d95a57e19bec0a127b04e4937008
+DIST pyparsing_2.3.0.tar.gz 624393 BLAKE2B 9fd9bee7742953d455ea34310ef1668df0a7633642deb4eeff507439228ae018e4ba99d3476c5cfe374a908b58b0311527ae5f04ddec8eb7e219a2a9d4cbc8ce SHA512 2a4de9b208ee3c557fb6d050d5c3c20e35a11b21d35996fce5a0876d4f52952072bed7ae2ed157ae0ba388543dc554f4828a1da22712ae7d9f0d38a16b0a546e
diff --git a/dev-python/pyparsing/pyparsing-2.3.0.ebuild b/dev-python/pyparsing/pyparsing-2.3.0.ebuild
new file mode 100644
index 00000000000..1817465ad32
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-2.3.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/_}
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="https://github.com/pyparsing/pyparsing https://pypi.org/project/pyparsing/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_P}.tar.gz"
+# pypi releases and generated github tarballs lack tests
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+# setuptools currently vendors its own copy of pyparsing to avoid bootstrapping
+# issues so depend on it here for consistency
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+S=${WORKDIR}/${PN}-${MY_P}
+
+python_test() {
+ "${PYTHON}" unitTests.py || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}